<?php
function showzip(){
	$mipaso=new API();	

	$contenido=_downloadText.'<br/><br/>';
	$contenido.='<a href="'.$mipaso->getData('urlCSStemp').'/colorstyler.zip" class="down">'._download.'</a>';
	
 	
	$path=$mipaso->getData('urlCSStemp').'/estilo.css';
	$name='estilo.css';
	$mipaso->addFile($path,$name);
//-------------------------------------------------------------------------------
	
	$path=$mipaso->getData('urlHTMLtemp').'/'.$mipaso->getData('template').'.html';
	$name='index.html';
	
	$result=$mipaso->getData('urlCSStemp').'/index.html';
	
	$mipaso->buildHTML($path,$result);
	
	$path=$mipaso->getData('urlCSStemp').'/index.html';
	$mipaso->addFile($path,$name);
//-------------------------------------------------------------------------------
	
	$pathSave = $mipaso->getData('urlCSStemp').'/colorstyler.zip';
	//Guargamos el archivo
	$mipaso->saveZip($pathSave);


	
	$datos['zip']=$contenido;
	
	$mipaso->setStep($mipaso->template("step/zip/interface/index.html",$datos));
	$mipaso->setCSS('../step/zip/interface/estilo.css');


	return $mipaso->printweb();
}

?>
